LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices



Reply
 
Search this Thread
Old 08-04-2008, 07:29 AM   #1
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Rep: Reputation: 15
Wine Install - Debian Lenny (Testing)


Ive tried to install Wine on Debian Lenny
Kernel: 2.6.25-2-amd64
with:

# aptitude install wine


=======================================================
This is in german i know but maybe it helps and ill change it to english as soon as i found out how / or someone here could tell me)
=======================================================

After this i get this output:
debian-d-pc:~# aptitude install wine
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Lese Status-Informationen ein... Fertig
Lese erweiterte Statusinformationen
Initialisiere Paketstatus... Fertig
Lese Task-Beschreibungen... Fertig
Die folgenden Pakete sind KAPUTT:
lib32gcc1 lib32stdc++6
Die folgenden NEUEN Pakete werden zusätzlich installiert:
ia32-libs{a} lib32asound2{a} lib32ncurses5{a} lib32z1{a} libwine{a}
libwine-alsa{a} libwine-cms{a} libwine-gl{a} libwine-gphoto2{a}
libwine-ldap{a} libwine-print{a} libwine-sane{a} wine wine-bin{a}
wine-utils{a}
Die folgenden Pakete werden ENTFERNT:
libtdb1{u}
0 Pakete aktualisiert, 17 zusätzlich installiert, 1 werden entfernt und 0 nicht aktualisiert.
Muss 39,9MB an Archiven herunterladen. Nach dem Entpacken werden 128MB zusätzlich belegt sein.
Die folgenden Pakete haben verletzte Abhängigkeiten:
lib32gcc1: Hängt ab: gcc-4.3-base (= 4.3.1-2) aber 4.3.1-8 ist installiert.
lib32stdc++6: Hängt ab: gcc-4.3-base (= 4.3.1-2) aber 4.3.1-8 ist installiert.
Die folgenden Aktionen werden diese Abhängigkeiten auflösen:

Deaktualisieren der folgenden Pakete:
cpp-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
g++-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
gcc-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
gcc-4.3-base [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libgcc1 [1:4.3.1-8 (now) -> 1:4.3.1-2 (testing)]
libgfortran3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libgomp1 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libstdc++6 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libstdc++6-4.3-dev [4.3.1-8 (now) -> 4.3.1-2 (testing)]

Bewertungsnote beträgt -40

Diese Lösung akzeptieren? [Y/n/q/?] ^C
debian-d-pc:~#

-DeathAwaits
 
Old 08-04-2008, 07:51 AM   #2
jomen
Senior Member
 
Registered: May 2004
Location: Leipzig/Germany
Distribution: Arch
Posts: 1,687

Rep: Reputation: 54
I think you are supposed to downgrade the packages listed here:
Quote:
Deaktualisieren der folgenden Pakete:
cpp-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
g++-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
gcc-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
gcc-4.3-base [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libgcc1 [1:4.3.1-8 (now) -> 1:4.3.1-2 (testing)]
libgfortran3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libgomp1 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libstdc++6 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libstdc++6-4.3-dev [4.3.1-8 (now) -> 4.3.1-2 (testing)]
to the older versions in order to get the dependencies resolved.

To change the language (I assume you are running Gnome but it should not be vastly different in another environment):
go to: System --> Systemverwaltung --> Sprachunterstützung - and add/select Englisch (Vereinigtes Königreich)
then log out - and change the language-option on the login-screen (lower left corner in Ubuntus standard login-screen)
Optionen --> Sprache --> English (UK)
and make it the default or choose this for only once this session.

Only a suggestion - I don't run Debian but only Ubuntu in a virtual machine.

HTH

Last edited by jomen; 08-04-2008 at 07:56 AM.
 
Old 08-04-2008, 08:16 AM   #3
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Original Poster
Rep: Reputation: 15
Question

Ok thanks.
When i downgrade this packages do i risk sth. like killing my install? or what could happen when everythink possible goes wrong?
i dont want to risk killing my debian install
 
Old 08-04-2008, 08:28 AM   #4
jomen
Senior Member
 
Registered: May 2004
Location: Leipzig/Germany
Distribution: Arch
Posts: 1,687

Rep: Reputation: 54
Answering this has to be speculative and as such is not really worth it - on one hand, things can go wrong for all kinds of reasons, OTOH the risk should be minor. But that you know yourself
 
Old 08-04-2008, 08:30 AM   #5
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Original Poster
Rep: Reputation: 15
Repley

True. I'll give it a try.
If it doesnt work ill simply reupdate all this packages ...
 
Old 08-04-2008, 08:38 AM   #6
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Original Poster
Rep: Reputation: 15
Error Report

Okay I downgraded and got this:
And ive no idee what to do... i dont even know whats the problem


debian-d-pc:~# aptitude install wine
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done
Reading task descriptions... Done
The following packages are BROKEN:
lib32gcc1 lib32stdc++6
The following NEW packages will be installed:
ia32-libs{a} lib32asound2{a} lib32ncurses5{a} lib32z1{a} libwine{a}
libwine-alsa{a} libwine-cms{a} libwine-gl{a} libwine-gphoto2{a}
libwine-ldap{a} libwine-print{a} libwine-sane{a} wine wine-bin{a}
wine-utils{a}
The following packages will be REMOVED:
libtdb1{u}
0 packages upgraded, 17 newly installed, 1 to remove and 1 not upgraded.
Need to get 0B/39.9MB of archives. After unpacking 128MB will be used.
The following packages have unmet dependencies:
lib32gcc1: Depends: gcc-4.3-base (= 4.3.1-2) but 4.3.1-8 is installed.
lib32stdc++6: Depends: gcc-4.3-base (= 4.3.1-2) but 4.3.1-8 is installed.
The following actions will resolve these dependencies:

Downgrade the following packages:
cpp-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
g++-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
gcc-4.3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
gcc-4.3-base [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libgcc1 [1:4.3.1-8 (now) -> 1:4.3.1-2 (testing)]
libgfortran3 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libgomp1 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libstdc++6 [4.3.1-8 (now) -> 4.3.1-2 (testing)]
libstdc++6-4.3-dev [4.3.1-8 (now) -> 4.3.1-2 (testing)]

Score is -40

Accept this solution? [Y/n/q/?] y
The following packages will be DOWNGRADED:
cpp-4.3 g++-4.3 gcc-4.3 gcc-4.3-base libgcc1 libgfortran3 libgomp1
libstdc++6 libstdc++6-4.3-dev
The following NEW packages will be installed:
ia32-libs{a} lib32asound2{a} lib32gcc1{a} lib32ncurses5{a}
lib32stdc++6{a} lib32z1{a} libwine{a} libwine-alsa{a} libwine-cms{a}
libwine-gl{a} libwine-gphoto2{a} libwine-ldap{a} libwine-print{a}
libwine-sane{a} wine wine-bin{a} wine-utils{a}
The following packages will be REMOVED:
libtdb1{u}
0 packages upgraded, 17 newly installed, 9 downgraded, 1 to remove and 1 not upgraded.
Need to get 0B/51.8MB of archives. After unpacking 128MB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
dpkg: `install-info' not found on PATH.
dpkg: `update-rc.d' not found on PATH.
dpkg: 2 expected program(s) not found on PATH.
NB: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install. Trying to recover:
dpkg: `install-info' not found on PATH.
dpkg: `update-rc.d' not found on PATH.
dpkg: 2 expected program(s) not found on PATH.
NB: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done
Reading task descriptions... Done
 
Old 08-04-2008, 09:02 AM   #7
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Original Poster
Rep: Reputation: 15
Wine - From Source

I've also read this:
http://www.winehq.org/site/docs/wine...ng-wine-source
Could it help to try this way instead of using aptitude?
-DeathAwaits
 
Old 08-05-2008, 02:19 AM   #8
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Original Poster
Rep: Reputation: 15
Manual Build

Ok ive tried to build it manually by:

./configure
make depend
make
make install

but already at the first step i get this error:

debian-d-pc:~/Desktop/winesource# ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking whether make sets $(MAKE)... yes
checking for gcc... gcc -m32
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.
debian-d-pc:~/Desktop/winesource#



And here are the log readings:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by Wine configure 1.1.2, which was
generated by GNU Autoconf 2.61. Invocation command line was

$ ./configure
#######################################
config.log
#######################################



## --------- ##
## Platform. ##
## --------- ##

hostname = debian-d-pc
uname -m = x86_64
uname -r = 2.6.25-2-amd64
uname -s = Linux
uname -v = #1 SMP Mon Jul 14 11:05:23 UTC 2008

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2133: checking build system type
configure:2151: result: x86_64-unknown-linux-gnu
configure:2173: checking host system type
configure:2188: result: x86_64-unknown-linux-gnu
configure:2254: checking whether make sets $(MAKE)
configure:2275: result: yes
configure:2332: checking for gcc
configure:2359: result: gcc -m32
configure:2597: checking for C compiler version
configure:2604: gcc -m32 --version >&5
gcc (Debian 4.3.1-8) 4.3.1
Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2607: $? = 0
configure:2614: gcc -m32 -v >&5
Using built-in specs.
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.3.1-8' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-cld --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.3.1 (Debian 4.3.1-8)
configure:2617: $? = 0
configure:2624: gcc -m32 -V >&5
gcc: '-V' must come at the start of the command line
configure:2627: $? = 1
configure:2650: checking for C compiler default output file name
configure:2677: gcc -m32 conftest.c >&5
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.3.1/libgcc.a when searching for -lgcc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-linux-gnu/4.3.1/libgcc.a when searching for -lgcc
/usr/bin/ld: cannot find -lgcc
collect2: ld returned 1 exit status
configure:2680: $? = 1
configure:2718: result:
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "Wine"
| #define PACKAGE_TARNAME "wine"
| #define PACKAGE_VERSION "1.1.2"
| #define PACKAGE_STRING "Wine 1.1.2"
| #define PACKAGE_BUGREPORT "wine-devel@winehq.org"
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:2725: error: C compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=x86_64-unknown-linux-gnu
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_XMKMF_set=
ac_cv_env_XMKMF_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=x86_64-unknown-linux-gnu
ac_cv_prog_ac_ct_CC='gcc -m32'
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ALSALIBS=''
AR=''
ARFLAGS=''
AS='as --32'
AUDIOIOLIBS=''
BISON=''
BUILTINFLAG=''
CARBONLIB=''
CC='gcc -m32'
CFLAGS=''
COREAUDIO=''
COREFOUNDATIONLIB=''
CPP=''
CPPBIN=''
CPPFLAGS=''
CROSSCC=''
CROSSTEST=''
CROSSWINDRES=''
CRTLIBS=''
CUPSINCL=''
CXX='g++ -m32'
CXXFLAGS=''
DEFS=''
DEPENDENCIES=''
DISKARBITRATIONLIB=''
DLLEXT=''
DLLFLAGS=''
DLLTOOL=''
DLLWRAP=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
ESDCONFIG=''
ESDINCL=''
ESDLIBS=''
EXEEXT=''
EXTRACFLAGS=''
EXTRA_BINARIES=''
FLEX=''
FONTCONFIGINCL=''
FONTFORGE=''
FONTSSUBDIRS=''
FREETYPEINCL=''
FREETYPELIBS=''
GLU32FILES=''
GPHOTO2INCL=''
GPHOTO2LIBS=''
GREP=''
HALINCL=''
ICOTOOL=''
IMPLIBEXT=''
INSTALL_DATA=''
INSTALL_PROGRAM=''
INSTALL_SCRIPT=''
IOKITLIB=''
LCMSLIBS=''
LD='ld -m elf_i386'
LDAPLIBS=''
LDCONFIG=''
LDD=''
LDDLLFLAGS=''
LDEXECFLAGS=''
LDFLAGS=''
LDPATH=''
LDRPATH_INSTALL=''
LDRPATH_LOCAL=''
LDSHARED=''
LIBDL=''
LIBEXT=''
LIBOBJS=''
LIBPOLL=''
LIBPTHREAD=''
LIBS=''
LINT=''
LINTFLAGS=''
LN=''
LN_S=''
LTLIBOBJS=''
MAINTAINER_MODE='#'
MAIN_BINARY=''
MINGWAR=''
NASLIBS=''
NM=''
OBJEXT=''
OPENGLFILES=''
OPENGL_LIBS=''
PACKAGE_BUGREPORT='wine-devel@winehq.org'
PACKAGE_NAME='Wine'
PACKAGE_STRING='Wine 1.1.2'
PACKAGE_TARNAME='wine'
PACKAGE_VERSION='1.1.2'
PATH_SEPARATOR=':'
PKG_CONFIG=''
PRELINK=''
QUARTZFILES=''
RANLIB=''
RESOLVLIBS=''
RSVG=''
SANEINCL=''
SECURITYLIB=''
SET_MAKE=''
SHELL='/bin/sh'
SOCKETLIBS=''
STRIP=''
TOOLSDIR=''
WIN16_FILES='$(WIN16_FILES)'
WIN16_INSTALL='$(WIN16_INSTALL)'
WINDRES=''
XFILES=''
XLIB=''
XMKMF=''
XML2INCL=''
XML2LIBS=''
XSLTINCL=''
XSLTLIBS=''
X_CFLAGS=''
X_EXTRA_LIBS=''
X_LIBS=''
X_PRE_LIBS=''
ac_ct_AR=''
ac_ct_AS=''
ac_ct_CC='gcc -m32'
ac_ct_CXX=''
ac_ct_LD=''
ac_ct_NM=''
bindir='${exec_prefix}/bin'
build='x86_64-unknown-linux-gnu'
build_alias=''
build_cpu='x86_64'
build_os='linux-gnu'
build_vendor='unknown'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
ft_devel=''
gphoto2_devel=''
gphoto2port_devel=''
host='x86_64-unknown-linux-gnu'
host_alias=''
host_cpu='i386'
host_os='linux-gnu'
host_vendor='unknown'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='NONE'
program_transform_name='s,x,x,'
psdir='${docdir}'
sane_devel=''
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ------------------- ##
## File substitutions. ##
## ------------------- ##

MAKE_DLL_RULES=''
MAKE_IMPLIB_RULES=''
MAKE_PROG_RULES=''
MAKE_RULES=''
MAKE_TEST_RULES=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_NAME "Wine"
#define PACKAGE_TARNAME "wine"
#define PACKAGE_VERSION "1.1.2"
#define PACKAGE_STRING "Wine 1.1.2"
#define PACKAGE_BUGREPORT "wine-devel@winehq.org"

configure: exit 77
 
Old 08-05-2008, 03:57 AM   #9
deathawaits
LQ Newbie
 
Registered: Aug 2008
Location: Germany
Posts: 28

Original Poster
Rep: Reputation: 15
Solution

Ive replaced GCC temp. with an older version and now wine works!
This problem is solved.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Strange resolution / xserve / gnome problem on acer laptop, debian lenny testing phil989 Debian 3 05-25-2008 04:59 PM
Errors when compiling KTlight on Debian Lenny (testing) lefty.crupps Linux - Software 0 10-16-2007 10:32 AM
Is Debian 'lenny' aka 'testing' suitable for production environment? Akhran Debian 12 06-19-2007 03:35 PM
Last week Debian Testing is still ETCH or lenny already?? doraimom Debian 1 04-09-2007 07:01 AM
Can't install Wine 0.9.34 in my Debian x64 Etch testing doraimom Debian 7 04-03-2007 12:29 PM


All times are GMT -5. The time now is 11:30 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration